def plll(s_a, s_b):
    s_a = str(s_a)
    s_b = str(s_b)
    result = ""
    maxim = max(len(s_a), len(s_b))
     
    while len(s_a) < maxim:
        s_a = '0' + s_a
    while len(s_b) < maxim:
        s_b = '0' + s_b
     
    for i in range(maxim):
        result += max(s_a[i], s_b[i])
     
    return int(result)
 
def pr(a, b):
    mn = min(a, b)
    mx = max(a, b)
     
    minim = str(mn)
    maxim = str(mx)
     
    resut = [0] * (len(minim) + len(maxim))
     
    for i in range(len(maxim) - 1, -1, -1):
        for j in range(len(minim) - 1, -1, -1):
            m = min(int(maxim[i]), int(minim[j]))
            sum = plll(str(m), str(resut[i + j + 1]))
            resut[i + j + 1] = sum % 10
            resut[i + j] += sum // 10
     
    res = ''.join(map(str, resut)).lstrip('0')
     
    return int(res) if res else 0
 
def solution():
    a = input()
    b = input()
     
    print(plll(a, b), pr(a, b))
 
if __name__ == "__main__":
    solution()
